SRCS := $(wildcard redundancy-tube/*.cpp)
#SRCS := $(SRCS) $(wildcard Human-Arm/*.cpp)
BINS=$(SRCS:.cpp=)

CXXFLAGS := $(shell pkg-config --cflags kcadl) 
LIBS	 := $(shell pkg-config --libs  kcadl)

ifdef COVERAGE
CXXFLAGS := $(CXXFLAGS) -O3 -std=c++11 -frounding-math --coverage
else
CXXFLAGS := $(CXXFLAGS) -O3 -std=c++11 -frounding-math
endif

all: $(BINS)

% :	%.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LIBS)

clean:
	rm -f $(BINS)

